    Return the names of the parameters of a model.

get_model_pars(model)
model - str or a sherpa.models.model.Model object
>>> set_source(gauss2d.src + const2d.bgnd) >>> get_model_pars(get_source()) ['fwhm', 'xpos', 'ypos', 'ellip', 'theta', 'ampl', 'c0']

PARAMETERS

The parameter for this function is:

Parameter
Definition
model

The return value from this function is:

names -- The names of the parameters in the model expression. These names do not include the name of the parent component.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023